//==============================================================================
// GLOBALS - The main global definitions for the CPhenix program - still needs
//		to be cleaned up.
// This program assumes that the main files were compiled as C files
//==============================================================================
#ifndef _Servo_Driver_h_
#define _Servo_Driver_h_

#if ARDUINO>99
#include <Arduino.h> // Arduino 1.0
#else
#include <Wprogram.h> // Arduino 0022
#endif

class ServoDriver {
  public:
    void Init(void);
    boolean FIsGPEnabled(void);
    void GPPlayer(void);
    
    void UpdateServoDriver(void);
    void CommitServoDriver(void);
    void FreeServos(void);
    
    void FindServoOffsets(void);  // Needs to be different depending on which driver
    
    // Optional code used to forward commands from debug terminal to SSC prot...
    void SSCForwarder(void);
    
  private:
 
  
} ;   

#endif //_Servo_Driver_h_
